CLANG-APPLY-REPLACEMENTS(1)

NAME
clang-apply-replacements - manual page for clang-apply-replacements 19

DESCRIPTION
USAGE: clang-apply-replacements [options] <Search Root Directory>

OPTIONS:

Formatting Options:

--format                   - Enable formatting of code changed by applying replacements.
    Use -style to choose formatting style.

--style=<string>           - Set coding style. <string> can be:
    1. A preset: LLVM, GNU, Google, Chromium, Microsoft,

Mozilla, WebKit.
    2. 'file' to load style configuration from a

.clang-format file in one of the parent directories
    of the source file (for stdin, see --assume-filename). If no .clang-format file is found, falls back to --fallback-style. --style=file is the default.

3. 'file:<format_file_path>' to explicitly specify
    the configuration file.

4. "{key: value, ...}" to set specific parameters, e.g.:
    --style="{BasedOnStyle: llvm, IndentWidth: 8}"

--style-config=<string>    - Path to a directory containing a .clang-format file
    describing a formatting style to use for formatting code when -style=file.

Generic Options:

--help - Display available options (--help-hidden for more)

--help-list - Display list of available options (--help-list-hidden for more)

--version - Display the version of this program

Replacement Options:

--ignore-insert-conflict - Ignore insert conflict and keep running to fix.

--remove-change-desc-files - Remove the change description files regardless of successful
    merging/replacing.